Update Property
curl --request PUT \
--url https://los.universal.rollout.com/api/properties/{id} \
--header 'Content-Type: application/json' \
--data '
{
"insured": true,
"personId": "<string>",
"type": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"currentValue": 123,
"appraisedValue": 123,
"appraisalDate": "<string>",
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/properties/{id}"
payload = {
"insured": True,
"personId": "<string>",
"type": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"currentValue": 123,
"appraisedValue": 123,
"appraisalDate": "<string>",
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
insured: true,
personId: '<string>',
type: '<string>',
name: '<string>',
mlsNumber: '<string>',
purchasePrice: 123,
currentValue: 123,
appraisedValue: 123,
appraisalDate: '<string>',
occupancyType: '<string>',
zoning: '<string>',
propertyCharacteristics: {},
insuranceProvider: '<string>',
insurancePolicyNumber: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/properties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>"
},
"type": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"currentValue": 123,
"appraisedValue": 123,
"appraisalDate": "<string>",
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insured": true,
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Properties
Update Property
PUT /properties/
PUT
/
properties
/
{id}
Update Property
PUT /properties/{id}
Base URL: https://los.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/los.json PUT /properties/{id}Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I